{% load static %} {% block content %}
<style>
    /* Para los input de cargar archivos. */j
    .custom-file-upload input[type="file"] {
        border: 1px solid #348fe2;
        display: inline-block;
        padding: 6px 12px;
        cursor: pointer;
    }
</style>
<div class="panel panel-inverse" data-sortable-id="table-basic-7">
    <!-- begin panel-heading -->
    <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Disparador para los tiempo</h4>
    </div>
    <!-- end panel-heading -->
    <!-- begin panel-body -->
    <div class="panel-body">
        <form action="/" name="form-wizard" class="form-control-with-bg" id="massive_filters">
            <!-- begin wizard -->
            <div class="wizard_triggers_time">
                <!-- begin wizard-step -->
                <ul>
                    <li class="col-md-3 col-sm-4 col-6" id="checked-step-1">
                        <a href="#step-1">
                            <span class="number">1</span>
                            <span class="info text-ellipsis">
									Configuración
									<small class="text-ellipsis" >Define configuración</small>
								</span>
                        </a>
                    </li>
                    <li class="col-md-3 col-sm-4 col-6" id="checked-step-2">
                        <a href="#step-2">
                            <span class="number">2</span>
                            <span class="info text-ellipsis">
									Filtros
									<small class="text-ellipsis" >Seleccione filtros</small>
								</span>
                        </a>
                    </li>
                    <li class="col-md-3 col-sm-4 col-6" id="checked-step-3">
                        <a href="#step-3">
                            <span class="number">3</span>
                            <span class="info text-ellipsis">
									Fin
									<small class="text-ellipsis" ></small>
								</span>
                        </a>
                    </li>
                </ul>
                <!-- end wizard-step -->
                <!-- begin wizard-content -->
                <div id="num-steps">
                    <!-- begin step-1 -->
                    <div id="step-1">
                        <!-- begin fieldset -->
                        <fieldset>
                            <!-- begin row -->
                            <div class="row">
                                <!-- begin col-8 -->
                                <div class="col-md-8 offset-md-2">

                                    <!-- begin form-group -->
                                    <div class="form-group row m-b-10">
                                        <div>

                                            <div class="filter_trigger">
                                                <label class="col-md-6 col-form-label">Nombre:</label>
                                                <div class="col-xs-6">
                                                    <input type="text" name="schedule_name" required data-parsley-group="step-1" class="form-control query parsley-error" data-parsley-required="true" id="name_trigger_time" placeholder="Trigger prueba" maxlength="30">
                                                </div>
                                            </div>
                                            <div class="filter_trigger">includes_file
                                                <label class="col-md-6 col-form-label">Correo de prueba:</label>
                                                <div class="col-xs-6">
                                                    <input type="email" name="email_test" required data-parsley-group="step-1" class="form-control query parsley-error" data-parsley-required="true" id="email_test_trigger_time" placeholder="triggers@prueba.com">
                                                </div>
                                            </div>
                                            <div class="filter_trigger">
                                                <label class="col-md-6 col-form-label">Fecha:</label>
                                                <div class="col-xs-6">
                                                    <input type="text" name="next_run" required data-parsley-group="step-1" class="form-control query parsley-error first_time_trigger_time" data-parsley-required="true">
                                                </div>
                                            </div>
                                            <div class="filter_trigger">
                                                <label class="col-md-6 col-form-label">Tipo:</label>
                                                <select type="text" name="schedule_type" required data-parsley-group="step-1" class="type_trigger_time form-control category parsley-error" data-parsley-required="true">
                                                        <option value="O">Una vez</option>
                                                        <option value="I">Minutos</option>
														<option value="H">Horas</option>
														<option value="D">Diariamente</option>
														<option value="W">Semanalmente</option>
														<option value="M">Mensualmente</option>
														<option value="Q">Trimestre</option>
														<option value="Y">Anualmente</option>
													</select>
                                            </div>
                                            <div class="filter_trigger">
                                                <label class="col-md-6 col-form-label">Repeticiones:</label>
                                                <select type="text" class="form-control category type_repeat_trigger_time" disabled>
														<option value="0">Una vez</option>
														<option value="-1">Siempre</option>
														<option value="n">Otro</option>
													</select>
                                            </div>
                                            <div class="filter_trigger">
                                                <label class="col-md-6 col-form-label">N° repeticiones:</label>
                                                <div class="col-xs-6">
                                                    <input type="number" name="schedule_repeats" required class="form-control query parsley-error number_repeat_trigger_time" value="-1" required data-parsley-group="step-1" data-parsley-required="true">
                                                </div>
                                            </div>

                                            <div class="filter_trigger">
                                                <label class="col-md-6 col-form-label">Responder a:</label>
                                                <div class="col-xs-6">
                                                    <input type="email" name="email_response" required data-parsley-group="step-1" class="form-control query parsley-error" data-parsley-required="true" placeholder="triggers@prueba.com">
                                                </div>
                                            </div>

                                            <div class="filter_trigger">
                                                <label class="col-md-6 col-form-label">copia a:</label>
                                                <div class="col-xs-6">
                                                    <input type="email" name="email_copy" required class="form-control query" data-parsley-required="true" placeholder="triggers@prueba.com">
                                                </div>
                                            </div>

                                            <div class="filter_trigger">
                                                <label class="col-md-6 col-form-label">Plantilla (Lista):</label>
                                                <select type="text" name="template_id" data-parsley-group="step-1" class="template_list_trigger_time form-control category parsley-error" data-parsley-required="true">
													</select>
                                            </div>

                                            <div class="filter_trigger">
                                                <label class="col-md-6 col-form-label">Asunto:</label>
                                                <div class="col-xs-6">
                                                    <input disabled type="text" required class="form-control query subject_trigger_time" placeholder="Asunto del mensaje">
                                                </div>
                                            </div>
                                        </div>

                                        <div style="display: inline; width:100%;">

                                            <div class="" style="width:100%">
                                                <label class="col-md-6 col-form-label">Plantilla (Contenido):</label>
                                                <textarea disabled class="textarea form-control template_trigger_time" rows="20" placeholder="Plantilla HTML"></textarea>
                                            </div>

                                        </div>

                                    </div>
                                    <!-- end form-group -->
                                </div>
                                <!-- end col-8 -->
                            </div>
                            <!-- end row -->
                        </fieldset>
                        <!-- end fieldset -->
                    </div>
                    <!-- end step-1 -->
                    <!-- begin step-2 -->
                    <div id="step-2">
                        <!-- begin fieldset -->
                        <fieldset>
                            <!-- begin row -->
                            <div class="row">
                                <!-- begin col-8 -->
                                <div class="col-md-8 offset-md-2">

                                    <!-- begin form-group -->
                                    <div class="form-group row m-b-10">
                                        <div style="width: 100%;">
                                            <div class="input-group mb-3" id="custom_select2">
                                                <div class="input-group-prepend">
                                                    <label class="input-group-text" for="type_trigger_time">Tipo</label>
                                                </div>
                                                <select class="custom-select type_logic_trigger_time" name="type_filters">
														  <option value="C">Todas las condiciones</option>
														  <option value="D">Alguna de las condiciones</option>
														</select>
                                                <button type="button" class="btn btn-primary add_filter">Agregar</button>
                                            </div>

                                            <p class="font-weight-bold mb-3 message_logic_1">
                                                Serán comunicados los servicios, que cumplan todas las condiciones.
                                            </p>

                                            <p class="font-weight-bold mb-3 message_logic_2" style="display:none">
                                                Serán comunicados los servicios, que cumplan al menos una de las condiciones.
                                            </p>
                                            <div class="form-group row">
                                                <div class="col-md-6">
                                                    <label class="col-md-6 col-form-label">Excluir Clientes (xls o xlsx):</label>
                                                    <input type="file" class="custom-file-upload" id="excludes_file" name="excludes_file" accept=".xls,.xlsx">
                                                </div>
                                                <div class="col-md-6">
                                                    <label class="col-md-6 col-form-label">Incluir Servicios (xls o xlsx):</label>
                                                    <input type="file" class="custom-file-upload include" id="includes_file" name="includes_file" accept=".xls,.xlsx">
                                                </div>
                                            </div>

                                            <div class="load_filters"> </div>

                                        </div>

                                    </div>
                                    <!-- end form-group -->
                                </div>
                                <!-- end col-8 -->
                            </div>
                            <!-- end row -->
                        </fieldset>
                        <!-- end fieldset -->
                    </div>
                    <!-- end step-2 -->
                    <!-- begin step-3 -->
                    <div id="step-3">
                        <div class="jumbotron m-b-0 text-center">
                            <h2 class="text-inverse">Disparador creado</h2>
                        </div>
                    </div>
                    <!-- end step-3 -->
                </div>
                <!-- end wizard-content -->
            </div>
            <!-- end wizard -->
        </form>

    </div>
</div>
{% endblock %}